package itemprops

type Material struct {
	Name              string                       `json:"name"`
	Flags             MaterialFlags                `json:"material_flags"`
	Density           DimensionItemDensity         `json:"density"`
	FractureToughness DimensionFractureToughness   `json:"fracture_toughness"`
	MeltingPoint      DimensionItemNullTemperature `json:"melting_point,omitempty"`
	BoilingPoint      DimensionItemNullTemperature `json:"boiling_point,omitempty"`
}

type MaterialFlags struct {
	ConductsElictricity bool `json:"conducts_elictricity"`
	BlocksLiquid        bool `json:"blocks_liquid"`
	AcidResistant       bool `json:"acid_resistant"`
	BlocksGas           bool `json:"blocks_gas"`
	Flammable           bool `json:"flammable"`
	ConductsHeat        bool `json:"conducts_heat"`
	Radiates            bool `json:"radiates"`
}
